- name: Stopping the SSH reverse tunnel
  debug:
    msg:
    - "---------------------------------"
    - "Stopping the SSH Reverse Tunnel"
    - "---------------------------------"

- name: Stop the SSH reverse tunnel
  shell: |
    kill $(cat "{{ ssh_tunnel_execution_pid_file }}")
  ignore_errors: true
  register: kill_command
  failed_when:
  - kill_command.rc != 0
  - '"No such process" not in kill_command.stderr'

- name: Remove SSH Config Folder
  file:
    path: '{{ base_folder }}'
    state: absent

- name: Remove SSH tunnel debug log
  ansible.builtin.file:
    path: "{{ ssh_tunnel_execution_log_file }}"
    state: absent

- name: Remove SSH PID file
  ansible.builtin.file:
    path: "{{ ssh_tunnel_execution_pid_file }}"
    state: absent
